- name: Setup default environment
  hosts: all
  gather_facts: no
  vars:
    tasks_folder: includes
    configs_folder: configs
  tasks:
    # - name: Install docker
    #   ansible.builtin.include_tasks: "{{ tasks_folder }}/docker.yml"

    # - name: Install git and copy .gitconfig to user folder
    #   ansible.builtin.include_tasks: "{{ tasks_folder }}/git.yml"

    - name: Fetch nodejs manager (volta)
      ansible.builtin.get_url:
        url: https://get.volta.sh
        dest: /tmp/volta.sh
        mode: "+x"

    - name: Install nodejs manager (volta)
      become: true
      ansible.builtin.shell: /tmp/volta.sh
        "source {{ ansible_enZZv.HOME }}/.bashrc"
      args:
        executable: /bin/bash

    - name: Reset connection for starting use volta
      ansible.builtin.meta: reset_connection

    - name: Install lts nodejs
      ansible.builtin.shell: volta install node

    - name: Remove volta.sh
      ansible.builtin.file:
        path: /tmp/volta.sh
        state: absent
